Bug 725728 - Test plans not sorted in the default view [NEEDINFO]
Test plans not sorted in the default view
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.5
Unspecified Unspecified
high Severity high
: ---
: 3.7.0
Assigned To: Yang Ren
tools-bugs
: Regression
Depends On:
Blocks: 593666
  Show dependency treegraph
 
Reported: 2011-07-26 07:54 EDT by Petr Šplíchal
Modified: 2016-05-31 21:49 EDT (History)
13 users (show)

See Also:
Fixed In Version: 3.7.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psplicha: needinfo? (nli)


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2011-07-26 07:54:25 EDT
Description of problem:

Displaying a test plan in the default view does not show test
cases sorted according to the sortkey.

Version-Release number of selected component (if applicable):
3.5.0

Steps to Reproduce:
https://tcms.engineering.redhat.com/plan/4278/
  
Actual results:
Test cases displayed in random order.

Expected results:
Should be sorted according to the sortkey.
Comment 1 Tomas Pelka 2011-08-16 08:47:49 EDT
Seems that cases are now sorted according ID, which nonsense.
Comment 2 jianchen 2011-11-22 22:03:25 EST
(In reply to comment #0)
> Description of problem:
> 
> Displaying a test plan in the default view does not show test
> cases sorted according to the sortkey.
> 
> Version-Release number of selected component (if applicable):
> 3.5.0
> 
> Steps to Reproduce:
> https://tcms.engineering.redhat.com/plan/4278/
> 
> Actual results:
> Test cases displayed in random order.
> 
> Expected results:
> Should be sorted according to the sortkey.

Displaying a test plan default sort by case ID, you can click sort or other button and test case will sort according that.
Comment 6 yawei Li 2012-04-10 23:08:38 EDT
will be resolved on 3.7.0 release.
Comment 7 Guoping Feng 2012-04-24 05:46:01 EDT
Verify 3.7.0-1 on tcms-stage -->PASS

Verify steps:
1.Enter into any plan like: https://tcms-stage.englab.bne.redhat.com/plan/5788/
2.Check the cases order with their sortkey


Actual result:
The cases are arranged in accordance with their sortkeys from small to big.

Note You need to log in before you can comment on or make changes to this bug.